import { ColorKeys, createStyleSheet, FontNameKeys, FontSizesKeys, SpaceKeys } from '@dokuhero/react-native-theme';
import * as React from 'react';
import { FormField } from './FormField';
import { Text } from './Text';
export var StaticField = function (_a) {
    var label = _a.label, value = _a.value, containerStyle = _a.containerStyle, valueStyle = _a.valueStyle, labelStyle = _a.labelStyle, onPress = _a.onPress, children = _a.children;
    return (<FormField label={label} containerStyle={containerStyle} labelStyle={labelStyle}>
      <Text style={[styles.text, valueStyle]} onPress={onPress}>
        {value}
      </Text>
      {children}
    </FormField>);
};
var styles = createStyleSheet({
    text: {
        marginTop: SpaceKeys.small,
        marginLeft: SpaceKeys.medium,
        fontFamily: FontNameKeys.semiBold,
        fontSize: FontSizesKeys.medium,
        color: ColorKeys.grey,
        marginBottom: 12
    }
});
//# sourceMappingURL=StaticField.js.map